
Redmine - Defect #43233

new Redmine 6.1 error

2025-09-22 10:16 - Brice Beaumesnil

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 6.1.0

Description

Hello,

I tried the new REDMINE 6.1.0 this morning.

But no action is taken: add a new issue, click on "Go to a project...".

When you click on a link <a> no problem, the rest: nothing happens.

Environment:

  Redmine version                6.1.0.stable

  Ruby version                   3.4.6-p54 (2025-09-16) [x86_64-linux]

  Rails version                  7.2.2.2

  Environment                    production

  Database adapter               PostgreSQL

  Mailer queue                   ActiveJob::QueueAdapters::AsyncAdapter

  Mailer delivery                smtp

Redmine settings:

  Redmine theme                  Default

SCM:

  Git                            2.39.3

  Filesystem                     

Redmine plugins:

  no plugin installed

History

#1 - 2025-09-22 10:21 - Brice Beaumesnil

Even though it's unrelated, the new REDMINE looks for the turndown.js file and returns a 404 error.

#2 - 2025-09-22 10:37 - Brice Beaumesnil

I just tried debugging from my workstation: no problem. So it's the installation in production mode.

#3 - 2025-09-22 14:28 - Brice Beaumesnil

My production installation work fine with REDMINE 6.0.7 (and Gemfile from 6.1.0 for using RUBY 3.4)

#4 - 2025-09-22 16:59 - Brice Beaumesnil

OK, my bad, after checking the deployment: the app/javascript directory had not been deployed with everything else following the update from

REDMIN 6.0 to 6.1

It's OK

#5 - 2025-09-22 17:13 - Holger Just

- Status changed from New to Closed

- Resolution set to Invalid

Thanks for clearing thus up!
